## filtlong 0.2.1

=== Makefile ===
# Example commands:
#   make (build in release mode)
#   make debug (build in debug mode)
#   make clean (deletes *.o files, which aren't required to run the aligner)
#   make distclean (deletes *.o files and the binary)
#   make CXX=g++-5 (build with a particular compiler)
#   make CXXFLAGS="-Werror -g3" (build with particular compiler flags)


# CXX and CXXFLAGS can be overridden by the user.
CXX         ?= g++
CXXFLAGS    ?= -Wall -Wextra -pedantic -mtune=native

# These flags are required for the build to work.
LIB          = -lz
FLAGS        = -std=c++11

# Different debug/optimisation levels for debug/release builds.
DEBUGFLAGS   = -g
RELEASEFLAGS = -O3

TARGET       = bin/filtlong
SHELL        = /bin/sh
SOURCES      = $(shell find src -name "*.cpp")
HEADERS      = $(shell find src -name "*.h")
OBJECTS      = $(SOURCES:.cpp=.o)

.PHONY: release
release: FLAGS+=$(RELEASEFLAGS)
release: $(TARGET)

.PHONY: debug
debug: FLAGS+=$(DEBUGFLAGS)
debug: $(TARGET)

dir_guard=@mkdir -p $(@D)

$(TARGET): $(OBJECTS)
	$(dir_guard)
	$(CXX) $(FLAGS) $(CXXFLAGS) -o $(TARGET) $(OBJECTS) $(LIB)

clean:
	$(RM) $(OBJECTS)

distclean: clean
	$(RM) $(TARGET)

%.o: %.cpp $(HEADERS)
	$(CXX) $(FLAGS) $(CXXFLAGS) -c -o $@ $<

## filtlong 0.2.0

=== debian/changelog ===
filtlong (0.2.0-2) unstable; urgency=medium

  * Source only upload

 -- Andreas Tille <tille@debian.org>  Fri, 15 May 2020 22:18:04 +0200

filtlong (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #960628)

 -- Andreas Tille <tille@debian.org>  Thu, 14 May 2020 22:20:05 +0200

=== debian/control ===
Source: filtlong
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               zlib1g-dev,
               python3-markdown,
               python3
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/filtlong
Vcs-Git: https://salsa.debian.org/med-team/filtlong.git
Homepage: https://github.com/rrwick/Filtlong
Rules-Requires-Root: no

Package: filtlong
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: quality filtering tool for long reads of genome sequences
 Filtlong is a tool for filtering long reads by quality. It can take a
 set of long reads and produce a smaller, better subset. It uses both
 read length (longer is better) and read identity (higher is better) when
 choosing which reads pass the filter.

Package: filtlong-data
Architecture: all
Depends: ${misc:Depends}
Description: quality filtering tool for long reads of genome sequences (testdata)
 Filtlong is a tool for filtering long reads by quality. It can take a
 set of long reads and produce a smaller, better subset. It uses both
 read length (longer is better) and read identity (higher is better) when
 choosing which reads pass the filter.
 .
 This package contains test data for filtlong.

=== debian/watch ===
version=4

https://github.com/rrwick/Filtlong/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## filtlong 0.2.1

=== debian/changelog ===
filtlong (0.2.1-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Apply multi-arch hints.
    + filtlong-data: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Wed, 13 Oct 2021 09:47:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                zlib1g-dev,
                python3-markdown,
                python3
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/filtlong
 Vcs-Git: https://salsa.debian.org/med-team/filtlong.git
 Homepage: https://github.com/rrwick/Filtlong
@@ -26,6 +26,7 @@
 Package: filtlong-data
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: quality filtering tool for long reads of genome sequences (testdata)
  Filtlong is a tool for filtering long reads by quality. It can take a
  set of long reads and produce a smaller, better subset. It uses both

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	markdown_py -f README.html README.md

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m unittest
	find test -name __pycache__ | xargs rm -rf
endif

=== debian/watch ===
version=4

https://github.com/rrwick/Filtlong/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## filtlong 0.3.1

=== debian/changelog ===
filtlong (0.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.3.1
  * gcc-13.patch: delete: applied upstream.
  * d/rules: clean some boilerplate.
  * d/watch: convert to Github uscan template version 5.
  * nudge-tests.patch: new: fix few issues in test suite.

 -- Étienne Mollier <emollier@debian.org>  Sat, 28 Feb 2026 12:36:06 +0100

filtlong (0.2.1-5) unstable; urgency=medium

  * Team upload.
  * Fix clean target.
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).
  * Update standards-version.
  * Simplify salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Tue, 03 Feb 2026 09:20:00 +0100

filtlong (0.2.1-4) unstable; urgency=medium

  * Team upload.
  * gcc-13.patch: new: fix ftbfs with gcc-13. (Closes: #1037655)
  * hardening.patch: declare forwarding not-needed.
  * hardening.patch: also propagate preprocessor flags.
  * d/control: declare compliance to standards version 4.6.2

 -- Étienne Mollier <emollier@debian.org>  Sat, 12 Aug 2023 20:45:37 +0200

filtlong (0.2.1-3) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 03 Nov 2022 18:17:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,14 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                zlib1g-dev,
                python3-markdown,
                python3
-Standards-Version: 4.6.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/filtlong
 Vcs-Git: https://salsa.debian.org/med-team/filtlong.git
 Homepage: https://github.com/rrwick/Filtlong
-Rules-Requires-Root: no
 
 Package: filtlong
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,10 @@
 #!/usr/bin/make -f
-
-# DH_VERBOSE := 1
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	markdown_py -f README.html README.md
 
 override_dh_auto_test:

=== debian/watch ===
Version: 5

Template: Github
Project: Filtlong
Owner: rrwick
